org.apache.cassandra.exceptions

## Class RequestValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestValidationException

All Implemented Interfaces:
  java.io.Serializable, TransportException

Direct Known Subclasses:
  AuthenticationException, ConfigurationException, InvalidRequestException, PreparedQueryNotFoundException, SyntaxException, UnauthorizedException

    public abstract class RequestValidationException
    extends CassandraException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `RequestValidationException(ExceptionCode code, java.lang.String msg)`
`protected` `RequestValidationException(ExceptionCode code, java.lang.String msg, java.lang.Throwable e)`

### Method Summary

### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

`code`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

`getMessage`

### Constructor Detail

#### RequestValidationException

    protected RequestValidationException(ExceptionCode code,
                                         java.lang.String msg)

#### RequestValidationException

    protected RequestValidationException(ExceptionCode code,
                                         java.lang.String msg,
                                         java.lang.Throwable e)